<!DOCTYPE html>
<html lang="en">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta
      name="viewport"
      content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=5, viewport-fit=cover"
    />
    <meta name="apple-mobile-web-app-capable" content="yes" />
    <meta name="apple-mobile-web-app-status-bar-style" content="default" />
    <meta name="format-detection" content="telephone=no" />
    <!-- <meta name="theme-color" content="#ffffff"> -->

    <meta
      name="theme-color"
      content="#ffffff"
      media="(prefers-color-scheme: light)"
    />
    <meta
      name="theme-color"
      content="#222032"
      media="(prefers-color-scheme: dark)"
    />
    <title>Login</title>
    <meta
      name="description"
      content="Unic – NFT Marketplace PWA Mobile Template"
    />
    <meta
      name="keywords"
      content="bootstrap 5, mobile template, wallet, crypto, currency, about, blog, cordova, phonegap, mobile, html, nft, store, marketplace, pwa"
    />
    <!-- FAVICON -->
    <link
      rel="icon"
      type="image/png"
      href="images/favicon/icon-32x32.png"
      sizes="32x32"
    />
    <!-- IOS SUPPORT -->
    <link rel="apple-touch-icon" href="images/favicon/icon-96x96.png" />
    <!-- CSS FILES -->
    <link rel="stylesheet" href="assets/css/style.css" />
    <link rel="stylesheet" href="assets/css/remixicon.min.css" />
    <link rel="stylesheet" href="assets/vendors/swiper/swiper-bundle.min.css" />
    <link rel="stylesheet" href="assets/vendors/zuck_stories/zuck.min.css" />
    <link rel="manifest" href="_manifest.json" />
  </head>
  <style>
    #mobile-error {
      color: red;
      display: none;
    }
    .form-group .form-control:valid {
      border-color: green;
    }
    input#mobile.form-control.error {
      border-color: red;
    }
  </style>
  <body>
    <!-- ===================================START LODAER PAGE==================================== -->
    <section class="loader-page" id="loaderPage">
      <div class="spinner_flash"></div>
    </section>
    <!-- START WRAPPER -->
    <div id="wrapper">
      <!-- START CONTENT -->
      <div id="content">
        <!-- ===================================START THE HEADER==================================== -->
        <header class="default heade-sticky">
          <div class="un-title-page go-back">
            <h1></h1>
          </div>
          <div class="un-block-right">
            <a
              href="create-account.html"
              class="btn nav-link text-primary size-14 weight-500 pe-0"
              >Create acccount</a
            >
          </div>
        </header>
        <!-- =================================START THE SPACE STICKY==================================== -->
        <div class="space-sticky"></div>
        <!-- ===================================START THE FORM==================================== -->
        <section class="account-section padding-20">
          <div class="display-title">
            <span class="name_step">Step 1 of 2</span>
            <h1>Sign in</h1>
            <p>Enter your mobile number to continue</p>
          </div>
          <div class="content__form margin-t-24">
            <form id="login-form">
              <div class="form-group icon-left">
                <label>Mobile Number</label>
                <div class="input_group">
                  <input
                    type="number"
                    maxlength="10"
                    id="mobile"
                    name="mobile"
                    class="form-control"
                    placeholder="(+91)"
                    data-rule-number="true"
                    data-rule-minlength="10"
                    required
                  />

                  <div class="icon">
                    <i class="ri-phone-fill"></i>
                  </div>
                </div>
                <label id="mobile-error" class="error" for="mobile"
                  >Please enter no more than 10 characters.</label
                >
              </div>
            </form>
          </div>
        </section>
        <!-- =================================== START ACCOUT FOOTER ==================================== -->
        <footer class="footer-account">
          <div class="env-pb">
            <div class="display-actions">
              <a href="" id="continue" class="btn btn-sm-arrow bg-primary">
                <p>Continue</p>
                <div class="ico">
                  <i class="ri-arrow-drop-right-line"></i>
                </div>
              </a>
            </div>
            <div class="dividar"></div>
            <div class="support">
              <p>Need help? <a href="">Contact our support team</a></p>
            </div>
          </div>
        </footer>
      </div>
    </div>
    <!-- ================ start toasts ======================= -->
    <!-- start success toast -->
    <div
      aria-live="polite"
      aria-atomic="true"
      class="d-flex justify-content-center place__top -full w-100"
    >
      <div
        id="success-toast"
        class="toast --shadow fullscreen"
        role="alert"
        aria-live="assertive"
        aria-atomic="true"
        data-bs-autohide="false"
      >
        <div class="toast-body">
          <div class="icon color-green">
            <i class="ri-shield-check-fill"></i>
          </div>
          <div class="content">
            <div class="display__text">
              <p>successfully login</p>
              <a href="" class="display-link color-green"></a>
            </div>
          </div>
          <button
            type="button"
            class="btn-close"
            data-bs-dismiss="toast"
            aria-label="Close"
          >
            <i class="ri-close-fill"></i>
          </button>
        </div>
      </div>
    </div>
    <!-- end success toast -->
    <!-- start error toast -->
    <div
      aria-live="polite"
      aria-atomic="true"
      class="d-flex justify-content-center place__top -full w-100"
    >
      <div
        id="error-toast"
        class="toast --shadowfull fullscreen"
        role="alert"
        aria-live="assertive"
        aria-atomic="true"
        data-bs-autohide="true"
        data-bs-delay="3000"
      >
        <div class="toast-body">
          <div class="icon color-red">
            <i class="ri-error-warning-fill"></i>
          </div>
          <div class="content">
            <div class="display__text">
              <p>login failed.</p>
              <a href="" class="display-link color-red"></a>
            </div>
          </div>
          <button
            type="button"
            class="btn-close"
            data-bs-dismiss="toast"
            aria-label="Close"
          >
            <i class="ri-close-fill"></i>
          </button>
        </div>
      </div>
    </div>
    <!-- end error toast -->
    <!-- ================ end toasts ======================= -->

    <!-- JS FILES -->
    <script src="assets/js/jquery.min.js"></script>
    <script src="assets/js/jquery.validate.min.js"></script>
    <script src="assets/js/validate_rules.js"></script>
    <script src="assets/vendors/zuck_stories/zuck.min.js"></script>
    <script src="assets/vendors/smoothscroll/smoothscroll.min.js"></script>
    <script src="assets/vendors/swiper/swiper-bundle.min.js"></script>
    <script src="assets/vendors/nouislider/nouislider.min.js"></script>
    <script src="assets/vendors/nouislider/wNumb.min.js"></script>
    <script src="assets/js/bootstrap.bundle.min.js"></script>
    <script src="assets/js/custom.js"></script>
    <!-- PWA APP SERVICE REGISTRATION AND WORKS JS -->
    <script src="assets/js/pwa-services.js"></script>
    <script>
      $("#mobile").keypress(function () {
        if (this.value.length == 10) {
          return false;
        }
      });
      // ------------------------------------ start jquery validation with ajax on click ---------------------------------\\
      $("#continue").on("click", function () {
        event.preventDefault();
        if ($("#login-form").valid()) {
          $.ajax({
            dataType: "json",
            type: "POST",
            url: "https://reqres.in/api/users",
            data: {
              mobile: $("#mobile").val(),
            },

            beforeSend: function () {
              $(".spinner_flash").show();
            },
            success: function (data) {
              if (data != "") {
                // alert(data);
                window.location.href = "./otp.html";
              }
              // $("#success-toast").show();
            },

            error: function () {
              console.log("something error");
              // $("#error-toast").show();
            },
            complete: function () {
              $(".spinner_flash").hide();
            },
          });

          // ------------------ start toasts ------------------\\
          document.getElementById("continue").onclick = function () {
            //success toast
            var toastElList = [].slice.call(
              document.querySelectorAll("#success-toast")
            );
            var toastList = toastElList.map(function (toastEl) {
              return new bootstrap.Toast(toastEl);
            });
            toastList.forEach((toast) => toast.show());
          };
        } else {
          document.getElementById("continue").onclick = function () {
            //error toast
            var toastElList = [].slice.call(
              document.querySelectorAll("#error-toast")
            );
            var toastList = toastElList.map(function (toastEl) {
              return new bootstrap.Toast(toastEl);
            });
            toastList.forEach((toast) => toast.show());
          };
        }
        // -------------------- end toasts --------------------- \\
      });
      // ------------------------------------ end jquery validation with ajax on click ---------------------------------\\
    </script>
  </body>
</html>
